Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::_assembly_context Struct Reference

`#include <Assembly_Visitors.h>`

Collaboration diagram for CIAO::_assembly_context:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Components::CCMHome_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | HOME_MAP
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Components::CCMObject_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | COMP_MAP
typedef ACE_Unbounded_Queue< Components::Deployment::ComponentServer_var > | SERVER_QUEUE
## Public Attributes
HOME_MAP | installed_homes_
COMP_MAP | instantiated_components_
SERVER_QUEUE | component_servers_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Components::CCMObject_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::_assembly_context::COMP_MAP

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Components::CCMHome_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::_assembly_context::HOME_MAP

typedef ACE_Unbounded_Queue<Components::Deployment::ComponentServer_var> CIAO::_assembly_context::SERVER_QUEUE

## Member Data Documentation

SERVER_QUEUE CIAO::_assembly_context::component_servers_

HOME_MAP CIAO::_assembly_context::installed_homes_

COMP_MAP CIAO::_assembly_context::instantiated_components_

The documentation for this struct was generated from the following file:

- Assembly_Visitors.h